# Uses of Interface
org.eclipse.jdt.core.IClasspathContainer

Packages that use IClasspathContainer
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.launching.sourcelookup.containers
Provides source lookup support for the Java debugger.

## Uses of IClasspathContainer in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IClasspathContainer
Modifier and Type
Method
Description
`static IClasspathContainer`
JavaCore.`getClasspathContainer(IPath containerPath, IJavaProject project)`
Answers the project specific value for a given classpath container.
`IClasspathContainer`
ClasspathContainerInitializer.`getFailureContainer(IPath containerPath, IJavaProject project)`
Returns a classpath container that is used after this initializer failed to bind a classpath container to a `IClasspathContainer` for the given project.
Methods in org.eclipse.jdt.core with parameters of type IClasspathContainer
Modifier and Type
Method
Description
`void`
ClasspathContainerInitializer.`requestClasspathContainerUpdate(IPath containerPath, IJavaProject project, IClasspathContainer containerSuggestion)`
Request a registered container definition to be updated according to a container suggestion.
`static void`
JavaCore.`setClasspathContainer(IPath containerPath, IJavaProject[] affectedProjects, IClasspathContainer[] respectiveContainers, IProgressMonitor monitor)`
Bind a container reference path to some actual containers (`IClasspathContainer`).

## Uses of IClasspathContainer in org.eclipse.jdt.launching.sourcelookup.containers

Methods in org.eclipse.jdt.launching.sourcelookup.containers that return IClasspathContainer
Modifier and Type
Method
Description
`IClasspathContainer`
ClasspathContainerSourceContainer.`getClasspathContainer()`
Returns the associated container or `null` if unavailable.